Package com.trilead.ssh2.packets

# Class PacketChannelWindowAdjust

java.lang.Object
com.trilead.ssh2.packets.PacketChannelWindowAdjust

public class PacketChannelWindowAdjust extends Object
PacketChannelWindowAdjust.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`recipientChannelID`
`int`
`windowChange`

## Constructor Summary

Constructors
Constructor
Description
`PacketChannelWindowAdjust(byte[] payload, int off, int len)`
`PacketChannelWindowAdjust(int recipientChannelID, int windowChange)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### windowChange

public int windowChange

## Constructor Details

### PacketChannelWindowAdjust

public PacketChannelWindowAdjust(int recipientChannelID, int windowChange)

### PacketChannelWindowAdjust

public PacketChannelWindowAdjust(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()